File: style.css

package info (click to toggle)
sphinxcontrib-typer 0.8.0-1
  • links: PTS, VCS
  • area: main
  • in suites: forky, sid
  • size: 1,196 kB
  • sloc: python: 2,324; makefile: 6
file content (36 lines) | stat: -rw-r--r-- 1,182 bytes parent folder | download | duplicates (2)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
.wy-table-responsive table td, .wy-table-responsive table th {
    white-space: inherit;
}

section#reference div.highlight pre {
    color: #b30000;
    display: block;           /* ensures it's treated as a block */
    margin-left: auto;        /* auto margins center block elements */
    margin-right: auto;
    width: fit-content;
}
body[data-theme="light"] section#reference div.highlight,
body[data-theme="light"] section#reference div.highlight pre {
  background-color: #f8f8f8;
}

body[data-theme="dark"] section#reference div.highlight,
body[data-theme="dark"] section#reference div.highlight pre {
  background-color: #202020;
}

/* AUTO → system prefers DARK (acts like dark unless user forced light) */
@media (prefers-color-scheme: dark) {
  body:not([data-theme="light"]) #reference .highlight,
  body:not([data-theme="light"]) #reference .highlight pre {
    background-color: #202020;
  }
}

/* AUTO → system prefers LIGHT (acts like light unless user forced dark) */
@media (prefers-color-scheme: light) {
  body:not([data-theme="dark"]) #reference .highlight,
  body:not([data-theme="dark"]) #reference .highlight pre {
    background-color: #f8f8f8;
  }
}